<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:html="html">
<xsl:import href="maphexa4.xsl"/>
<xsl:output method="html" encoding="ISO-8859-1" indent="yes" version="4.0" omit-xml-declaration="yes"/>

<xsl:param name="justmap"/>

<xsl:template match="/">
<xsl:choose>
  <xsl:when test="not($justmap='true')">
<table height="100%">
  <tr>
    <td valign="top">
<form action="?" method="get" name="mapmove">
<table border="0" cellspacing="6" cellpadding="6">
<tr><td colspan="2" width="130" style="border:1px dotted gray">
<table width="100%">
  <tr><td>Vue :</td><td><input name="p" size="2" value="{//map/@p}" onChange="changeaspect()"/> (&gt;9 non modifiable)</td></tr>
  <tr><td>X :  </td><td><input name="x" size="2" value="{//map/@x}" onChange="move()"/></td></tr>
  <tr><td>Y :  </td><td><input name="y" size="2" value="{//map/@y}" onChange="move()"/></td></tr>
  <tr><td>Grillage : </td><td><input name="border" style="background:transparent" type="checkbox" onClick="changeaspect()"><xsl:if test="//map/modele/table/@border=1"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input></td></tr>
  <tr><td>cellule :  </td><td><input name="cellsize" size="2" value="{//map/@cellsize}" onChange="changeaspect()"/>px</td></tr>
</table>
</td></tr>
<tr><td colspan="2" style="border:1px dotted gray">
texte : <br/>
<textarea name="alt"><xsl:value-of select="//map/pt[@x = ../@x and @y = ../@y]/@alt"/></textarea><br/>
background :<br/>
<select name="back" style="width:100%">
  <option value=""/>
  <xsl:apply-templates select="document('../include/static.xml')//select[@name='back']/*">
    <xsl:with-param name="value" select="number(//map/pt[@x = ../@x and @y = ../@y]/@back)"/>
  </xsl:apply-templates>
</select><br/>
image : <br/>
<select name="img" style="width:100%">
  <option value=""/>
  <xsl:apply-templates select="document('../include/static.xml')//select[@name='img']/*">
    <xsl:with-param name="value" select="number(//map/pt[@x = ../@x and @y = ../@y]/@img)"/>
  </xsl:apply-templates>
</select><br/>
<a style="cursor:hand" onClick="javascript:modify()">&#187; Modifier</a><br/>
</td></tr>
<tr><td colspan="2" style="border:1px dotted gray">
<!-- rosace de deplacement -->
<xsl:apply-templates select="document('../include/static.xml')/*/map"/>
</td></tr>
<tr><td colspan="2" style="border:1px dotted gray">
<a style="cursor:hand" onClick="javascript:savetofile();">&#187; sauvegarder</a><br/><br/>
<!--<a style="cursor:hand" onClick="javascript:alert(coco.innerHTML);">&#187; test</a><br/><br/>-->
<a style="cursor:hand" onClick="javascript:if (confirm('Vous etes sur?')) backtolastsave();">&#187; Retour dernire sauvegarde</a><br/>
</td></tr>
</table>
</form>
    </td>
    <td valign="top" align="left" id="Mapcontainer">
      <!-- carte -->
      <xsl:apply-templates select="*"/>
    </td>
  </tr>
</table>
  </xsl:when>
  <xsl:otherwise>
      <xsl:apply-templates select="*"/>
  </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="*">
  <xsl:apply-imports/>
</xsl:template>

<xsl:template match="table|tr|td|br|input|select|script|form|img|a|div|button">
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates select="*|text()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="option">
  <xsl:param name="value" select="''"/>
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:if test="$value=@value"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
    <xsl:apply-templates select="*|text()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="map[@type='map']//pt|modele/pt" priority="1">
  <xsl:param name="x" select="@x"/>
  <xsl:param name="y" select="@y"/>
  <xsl:copy-of select="../modele/td/@*"/>
  <xsl:apply-templates select="@back"/>
  <a title="{@alt}" style="cursor:hand" onClick="javascript:mapgo({$x},{$y})"><img style="position:relative;z-index:12" border="0" width="{ancestor::map/@cellsize}" height="{ancestor::map/@cellsize}" src="img/ico{@img}.gif"/></a>
</xsl:template>

<xsl:template match="map[@type='map' and @p&gt;9]//pt" priority="2">
  <xsl:param name="x" select="@x"/>
  <xsl:param name="y" select="@y"/>
  <xsl:copy-of select="../modele/td/@*"/>
  <xsl:apply-templates select="@back"/>
  <xsl:if test="@img"><img style="position:relative;z-index:12" border="0" width="{ancestor::map/@cellsize}" height="{ancestor::map/@cellsize}" src="img/ico{@img}.gif"/></xsl:if>
</xsl:template>

<xsl:template match="@back">
  <xsl:attribute name="background">img/bg<xsl:value-of select="."/>.jpg</xsl:attribute>
</xsl:template>

<xsl:template match="@back">
  <div style="position:absolute;z-index:0"><img src="img/bg{.}.gif" style="z-index:0;height:{ancestor::map/@cellsize + 3};width:{ceiling(ancestor::map/@cellsize * 1.45)+1};position:absolute;left:-{ancestor::map/@cellsize div 5};"/></div>
</xsl:template>


</xsl:stylesheet>