//wait expiration date,  rootname of xml (same than cookievar name)
function CookXml(){
  this.string = document.cookie;
  this.XmlObj = new ActiveXObject("MsXml2.DomDocument.3.0");
  this.XmlObj.preserveWhiteSpace = false;
  this.expires = (arguments.length)? arguments[0] : "Mon, 31 Dec 2010 23:59:59 UTC";
  this.rootName = (arguments.length>1)? arguments[1] : "CookXmlRoot";
  var start = this.string.indexOf(this.rootName + "=") + (this.rootName).length + 1;
  var end = this.string.indexOf(";",start)
  if(end==-1) end = this.string.length;
  if(!this.XmlObj.loadXML(unescape(this.string.substring(start,end)))){
    this.XmlObj.loadXML("<"+this.rootName+"></"+this.rootName+">");
  }
}
// wait xpath to return
CookXml.prototype.load = function(){
  var nodelist = this.XmlObj.selectNodes(arguments[0]);
  return (nodelist.length) ? nodelist.item(0) : false;
}                                
// wait xpath to clear default is *
CookXml.prototype.clear = function(){
  var nodeToRemoveName = (arguments.length) ? arguments[0] : "*";
  var nodelist = this.XmlObj.selectNodes(nodeToRemoveName);
  
  for (i=0;i<nodelist.length;i++){
    //attribute
    if(nodelist[i].nodeType==2){
      var parent = nodelist[i].selectSingleNode('..');
      parent.removeAttribute(nodelist[i].nodeName);
    }else{
      nodelist[i].parentNode.removeChild(nodelist[i]);
    }  
  }  
  this.serialize();
}                                
// wait node to put in xml
CookXml.prototype.save = function(){
  this.clear("/*/" + arguments[0].nodeName);
  this.XmlObj.selectSingleNode("/*").appendChild(arguments[0]);
  this.serialize();
}                                
// wait xpath, nodeName or @attributeName, innertext
CookXml.prototype.append = function(){
  var node = this.XmlObj.selectNodes(arguments[0]);
  if (!node.length) return false;
  var newNode;
  if(arguments[1].indexOf('@')>-1){
    newNode = this.XmlObj.createNode('attribute',arguments[1].substring(1),'');
    newNode.text = arguments[2];                                         
    node.item(0).attributes.setNamedItem(newNode);
  }else{
    newNode = this.XmlObj.createNode('element',arguments[1],'');
    newNode.text = arguments[2];                                         
    node.item(0).appendChild(newNode);
  }                       
  this.serialize();
  return true;
}                                
CookXml.prototype.serialize = function(){
  document.cookie = this.rootName + "=" + escape(this.XmlObj.xml) + ';;expires='+ this.expires+';';
}
